Skip to content

Read a file's details

GET
/files/{file_id}
curl --request GET \
--url https://api.katara.com/v1/files/example \
--header 'Authorization: Bearer <token>'
file_id
required
string
/^file_[0-9a-f]{24}$/

The file.

Media typeapplication/json
object
id
required
string
object
required
string
Allowed value: file
bytes
required
integer
created_at

Unix seconds.

integer
filename
required
string
mime_type
required
string
sha256
string
purpose
string
Allowed value: user_data
extracted_text

Whether the file has text for models that cannot read it.

boolean
Example
{
"id": "file_3f9a1c0b7d2e5a6b8c9d0e1f",
"object": "file",
"mime_type": "application/pdf",
"purpose": "user_data"
}

file_not_found, also for a file another account uploaded.